"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const moment_1 = __importDefault(require("moment"));
const underscore_string_1 = __importDefault(require("underscore.string"));
const logger_1 = __importDefault(require("./logger"));
const logemitter = {
    sort: function (logs) {
        return logs.sort((a, b) => (a.timestamp || (0, moment_1.default)('1900-01-01')).valueOf() - (b.timestamp || (0, moment_1.default)('1900-01-01')).valueOf());
    },
    output: function (logs, printnots, debug) {
        if (logs.length === 0) {
            logger_1.default.log(logger_1.default.debug, '.', debug);
        }
        for (let j = 0; j < logs.length; j++) {
            let log = logs[j];
            if (!printnots && !log.timestamp) {
                // eslint-disable-next-line no-continue
                continue;
            }
            let message = '';
            if (log.timestamp) {
                message = `${log.timestamp.local().format('YYYY-MM-DD HH.mm.ss.SSS ZZ')} `;
            }
            if (log.level) {
                message += `${underscore_string_1.default.rpad(log.level, 5)} `;
            }
            message += log.message;
            logger_1.default.log(log.level, message);
        }
    }
};
exports.default = logemitter;
